﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Managing the Campaign Template List</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Managing the Campaign Template List </h1>
        <p>Campaign templates enable you to quickly create new campaigns.&#160;The templates are listed&#160;in the&#160;<strong>Campaign Template List&#160;</strong>page.</p>
        <div class="info" MadCap:conditions="Default.v55X" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;">
            <p class="note">The list view of the templates provides a better visibility of the templates (available with 5.5.2 release and later).</p>
        </div>
        <div class="info" MadCap:conditions="Default.v2020X,Default.v2021X" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;">
            <p class="note">The list view of the templates provides a better visibility of the templates.</p>
        </div>
        <p>
            <img src="../Resources/Images/campaigntemplatelist.png" style="width: 550px;" />
        </p>&#160;<p>You can perform the following actions in the <strong>Campaign Template List</strong> page:</p><ul><li><p>Edit a campaign template</p></li><li><p>Delete a campaign template</p></li><li><p>Schedule a campaign</p></li></ul><p>The list view also allows you to view the audit history of the template.</p><h2 id="ManagingtheCampaignTemplateList(WIP)-EditingaCampaignTemplate">Editing a Campaign Template</h2><p>You can edit campaign templates from the <strong>Campaign Template List</strong> page. </p><p><strong>To edit a campaign template:</strong></p><ol><li><p> Log in to IGA, select <strong>Attestations </strong>&gt; <strong>Campaign Template</strong>.</p></li><li><p>In the <strong>Campaign Template List</strong> page that displays, click the <strong>Edit</strong> icon.</p></li><li><p>In the <strong>Edit Campaign Template</strong> page that displays, update the required field values.</p><table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0"><col style="width: 165.0px;" class="TableStyle-Default-Table-Column-Column1" /><col style="width: 593.0px;" class="TableStyle-Default-Table-Column-Column1" /><thead><tr class="TableStyle-Default-Table-Head-Header1"><th class="TableStyle-Default-Table-HeadE-Column1-Header1">Field</th><th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th></tr></thead><tbody><tr class="TableStyle-Default-Table-Body-Body1"><td class="TableStyle-Default-Table-BodyE-Column1-Body1"><p>Campaign Template</p></td><td class="TableStyle-Default-Table-BodyD-Column1-Body1"><p>Displays the name of the Campaign template added during template creation.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td class="TableStyle-Default-Table-BodyE-Column1-Body1"><p>Campaign Owner</p></td><td class="TableStyle-Default-Table-BodyD-Column1-Body1"><p>Specify a user as the Owner of the campaign. Campaign owners have the capability to preview a campaign even before launching it to prevent erroneous certification launch. The Campaign owner can also add additional certifiers to the campaigns.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td class="TableStyle-Default-Table-BodyE-Column1-Body1"><p>Campaign Type</p></td><td class="TableStyle-Default-Table-BodyD-Column1-Body1"><p>Specify the type of campaign which uses the template. </p><p>The options are:</p><ul><li><p>User Manager Campaign</p></li><li><p>Entitlement Owner Campaign</p></li><li><p>Service Account Campaign</p></li><li><p>Role Owner Campaign</p></li></ul></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td class="TableStyle-Default-Table-BodyE-Column1-Body1"><p>Application</p></td><td class="TableStyle-Default-Table-BodyD-Column1-Body1"><p>Select the target application endpoint name for which you want&#160;to launch the campaign.</p><p>The options are:</p><ul><li><p>ON-Enables you to select&#160;application(s) as endpoints&#160;for the campaign.&#160;To select all applications&#160;at one time, select&#160;<strong>All</strong>.</p></li><li><p>OFF-Removes&#160;the&#160;selected application(s) as endpoints&#160;for the campaign.</p></li></ul></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td class="TableStyle-Default-Table-BodyE-Column1-Body1"><p>Number of days to expire campaign</p></td><td class="TableStyle-Default-Table-BodyD-Column1-Body1"><p>Specify&#160;the number of days after which the campaign&#160;must expire.</p><p>For campaigns in preview mode, this value is counted from the activation date.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td class="TableStyle-Default-Table-BodyE-Column1-Body1"><p>Configuration</p></td><td class="TableStyle-Default-Table-BodyD-Column1-Body1"><p>Specify the configuration of the campaign.<br />For example: Adding basic campaign notifications, Adding policy settings</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td class="TableStyle-Default-Table-BodyE-Column1-Body1"><p>Select Certifier</p></td><td class="TableStyle-Default-Table-BodyD-Column1-Body1"><p>Select the certifier type for the campaign. </p><p>The options are:</p><ul><li><p>Select Certifier From List - Enables you to select the certifier from the list of certifiers.</p></li><li><p>Select From Manual Query - Enables you to select the users from the manual query. <br />Enter the manual query in the <strong>Query</strong> parameter. The system checks and validates the manual query (with alias and without alias) and displays the validation messages, appropriately before creating a campaign. <br />For example, Campaign manual query with alias and without alias where u.username like 'Awsadmin' and username like 'Awsadmin'. The campaign is not launched if any certifier is inactive.</p></li><li><p>Select All Certifier - Enables you to select all users (All entitlement owners of the selected Application) for the campaign. Any user from the list can attest other users.</p></li></ul></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td class="TableStyle-Default-Table-BodyB-Column1-Body1"><p>Advanced Campaign Configurations</p></td><td class="TableStyle-Default-Table-BodyA-Column1-Body1"><p>Specify the advanced configurations for the campaign.</p><p>For example: Adding query for different campaign types</p></td></tr></tbody></table></li><li>Click <strong>Save Template</strong>.<br />The campaign template is updated.</li></ol><h2 id="ManagingtheCampaignTemplateList(WIP)-DeletingaCampaignTemplate">Deleting a Campaign Template</h2><p>You can delete campaign templates that are no longer used. The deleted campaign templates are removed from the <strong>Campaign Template List</strong> page.</p><p><strong>To delete a campaign template:</strong></p><ol><li><p>Go to <strong>Attestations &gt; Campaign Template</strong>.</p></li><li><p>In the <strong>Campaign Template List</strong> page that displays, click the <strong>Delete</strong> icon.</p></li><li><p> In the confirmation pop-up that displays, click <strong>Delete</strong>.<br />The campaign template is removed from the <strong>Campaign Template List </strong>page.</p></li></ol><div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;"><p>To get access to get access to delete a campaign template define&#160;the following permission:&#160;<strong>SUBMENU.CAMPAIGN.campaign_template_delete /campaign/deleteTemplate.</strong><br />For more information, see <MadCap:xref href="../Chapter09-Managing-SAV-Roles/Request-Map-Configuration.htm">Request Map Configuration</MadCap:xref>.<br /><strong>Sample query:</strong></p><p><label class="param-value">INSERT INTO requestmap (REQUESTMAPID,AUTHTYPE,CONFIGATTRIBUTE,DESCRIPTION,LANDINGPAGE,PARENTMENU,PARENTMENUORDER,URL,HTTPMETHOD) VALUES (563,'campaign_template_delete','ROLE_ADMIN','ATTESTATION',0,0,0,'/campaign/deleteTemplate',null);</label></p></div><h2 id="ManagingtheCampaignTemplateList(WIP)-SchedulingaCampaignTemplate">Scheduling a Campaign Template</h2><p>You can use a campaign template to schedule a campaign. You can choose the frequency of scheduling a campaign and also define scheduling details like minute, hour, day, or week. </p><p><strong>To schedule a campaign: </strong></p><ol><li><p>Go to <strong>Attestations </strong>&gt; <strong>Campaign Template</strong>.</p></li><li><p>In the <strong>Campaign Template List</strong> page that displays, click the<strong> Schedule</strong> icon.</p></li><li><p>In the <strong>Schedule the Job</strong> window that displays, choose <strong>Campaign Owner</strong>.</p></li><li><p>Enter the duration in minutes.<br />For more information on scheduling campaigns, see <MadCap:xref href="Scheduling-Campaigns.htm">Scheduling Campaigns </MadCap:xref>.</p></li><li><p>Click <strong>Submit</strong>.<br />The campaign is scheduled for the specified duration.</p></li></ol><div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;"><p>To get access to schedule the campaign define&#160;the following permission:&#160;<strong>SUBMENU.CAMPAIGN.campaign_template_schedule /campaign/schedulecampaign.</strong><br />For more information, see <MadCap:xref href="../Chapter09-Managing-SAV-Roles/Request-Map-Configuration.htm">Request Map Configuration</MadCap:xref>.<br /><strong>Sample query:</strong></p><p><label class="param-value">INSERT INTO requestmap (REQUESTMAPID,AUTHTYPE,CONFIGATTRIBUTE,DESCRIPTION,LANDINGPAGE,PARENTMENU,PARENTMENUORDER,URL,HTTPMETHOD) VALUES (562,'campaign_template_schedule','ROLE_ADMIN','ATTESTATION',0,0,0,'/campaign/schedulecampaign',null);</label></p></div><h2 id="ManagingtheCampaignTemplateList(WIP)-ViewingtheCampaignTemplateHistory">Viewing the Campaign Template History</h2><p>You can view the changes made by different users to a campaign template.</p><p><strong>To view the campaign template history:</strong></p><ol><li><p> Go to <strong>Attestations </strong>&gt; <strong>Campaign Template</strong>.</p></li><li><p>In the <strong>Campaign Template List</strong> page that displays, click the <strong>History</strong> icon.</p></li><li><p>In the <strong>History</strong> page that displays, view the changes made to the campaign.</p></li><li><p> Click <strong>Export</strong> to save the History report in the CSV format.</p></li><li><p>Click <strong>Back</strong> to return to the <strong>Campaign Template List</strong> page.</p></li></ol><div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;"><p>To get access to view the campaign history define&#160;the following permission:&#160;<strong>SUBMENU.CAMPAIGN.campaign_template_history /campaign/campaignTemplate_History.</strong><br />For more information, see <MadCap:xref href="../Chapter09-Managing-SAV-Roles/Request-Map-Configuration.htm">Request Map Configuration</MadCap:xref>.<br /><strong>Sample query:</strong></p><p><label class="param-value">INSERT INTO requestmap (REQUESTMAPID,AUTHTYPE,CONFIGATTRIBUTE,DESCRIPTION,LANDINGPAGE,PARENTMENU,PARENTMENUORDER,URL,HTTPMETHOD) VALUES (561,'campaign_template_history','ROLE_ADMIN','ATTESTATION',0,0,0,'/campaign/campaignTemplate_History',null);</label></p></div><h2 id="ManagingtheCampaignTemplateList(WIP)-ExportingandUploadingCampaignTemplates">Exporting and Uploading Campaign Templates</h2><p>From the Campaign Template List page, you can now export&#160;an existing campaign template present in an environment and upload it into a different environment. The upload of campaign template can be done using the format of the template export file. This enhancement reduces the effort of creating the template every time in a different environment.</p><p>To export an existing template, perform the following steps:</p><ol><li><p>Go to <strong>Attestations</strong> &gt; <strong>Campaign Templates</strong>. The Campaign Template List page is displayed.</p></li><li><p>Under the <strong>Actions</strong> drop down, click <strong>Export</strong>. The CampaignTemplateExport file is downloaded. The exported file consists of the following columns. </p></li></ol><table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0"><col style="width: 261.0px;" class="TableStyle-Default-Table-Column-Column1" /><col style="width: 497.0px;" class="TableStyle-Default-Table-Column-Column1" /><thead><tr class="TableStyle-Default-Table-Head-Header1"><th class="TableStyle-Default-Table-HeadE-Column1-Header1">Column</th><th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th></tr></thead><tbody><tr class="TableStyle-Default-Table-Body-Body1"><td class="TableStyle-Default-Table-BodyE-Column1-Body1"><p>Template Name</p></td><td class="TableStyle-Default-Table-BodyD-Column1-Body1"><p>Indicates the name of the template.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td class="TableStyle-Default-Table-BodyE-Column1-Body1"><p>Template Type</p></td><td class="TableStyle-Default-Table-BodyD-Column1-Body1"><p>Indicates the type of campaign for which the template is created.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td class="TableStyle-Default-Table-BodyE-Column1-Body1"><p>Created By</p></td><td class="TableStyle-Default-Table-BodyD-Column1-Body1"><p>Indicates the name of the user who created the template.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td class="TableStyle-Default-Table-BodyE-Column1-Body1"><p>Created Date</p></td><td class="TableStyle-Default-Table-BodyD-Column1-Body1"><p>Indicates the date on which the template was created.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td class="TableStyle-Default-Table-BodyE-Column1-Body1"><p>Updated By</p></td><td class="TableStyle-Default-Table-BodyD-Column1-Body1"><p>Indicates the user who updated the details in the template.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td class="TableStyle-Default-Table-BodyE-Column1-Body1"><p>Updated Date</p></td><td class="TableStyle-Default-Table-BodyD-Column1-Body1"><p>Indicates the date on which the template was updated.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td class="TableStyle-Default-Table-BodyB-Column1-Body1"><p>Configuration</p></td><td class="TableStyle-Default-Table-BodyA-Column1-Body1"><p>Indicates the configuration set for each template.</p></td></tr></tbody></table><p>To upload the campaign template, perform the following steps:</p><ol><li><p>Go to <strong>Attestations</strong> &gt; <strong>Campaign Templates</strong>. The Campaign Template List page is displayed.</p></li><li><p>Under the <strong>Actions</strong> drop down, click <strong>Upload Template</strong>. The Select File To Upload Template is displayed. <br /></p><p><img src="../Resources/Images/campaignlist.png" style="width: 550px;" /></p></li><li><p>Specify the details as mentioned in the following table and click <strong>Upload</strong>.<br /></p><p><img src="../Resources/Images/campaignlist2.png" /></p></li></ol><table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0"><col style="width: 145px;" class="TableStyle-Default-Table-Column-Column1" /><col style="width: 613px;" class="TableStyle-Default-Table-Column-Column1" /><thead><tr class="TableStyle-Default-Table-Head-Header1"><th class="TableStyle-Default-Table-HeadE-Column1-Header1">Field</th><th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th></tr></thead><tbody><tr class="TableStyle-Default-Table-Body-Body1"><td class="TableStyle-Default-Table-BodyE-Column1-Body1"><p>Data File</p></td><td class="TableStyle-Default-Table-BodyD-Column1-Body1"><p>Click <strong>Select </strong>to browse the CSV file for upload.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td class="TableStyle-Default-Table-BodyE-Column1-Body1"><p>Delimiter</p></td><td class="TableStyle-Default-Table-BodyD-Column1-Body1"><p>Select the type of delimiter as Comma.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td class="TableStyle-Default-Table-BodyB-Column1-Body1"><p>First row as heading</p></td><td class="TableStyle-Default-Table-BodyA-Column1-Body1"><p>Click <strong>Yes</strong> if you want the first row of your CSV file to appear as a heading, else click <strong>No</strong>.</p></td></tr></tbody></table></body>
</html>